pcl::visualization::PointCloudColorHandlerCustom< PointT > Class Template Reference
Module visualization

Handler for predefined user colors. More...

`#include <pcl/visualization/point_cloud_color_handlers.h>`

Inheritance diagram for pcl::visualization::PointCloudColorHandlerCustom< PointT >:

## Public Types

using | Ptr = shared_ptr< PointCloudColorHandlerCustom< PointT > >
using | ConstPtr = shared_ptr< const PointCloudColorHandlerCustom< PointT > >
Public Types inherited from pcl::visualization::PointCloudColorHandler< PointT >
using | PointCloud = pcl::PointCloud< PointT >
using | PointCloudPtr = typename PointCloud::Ptr
using | PointCloudConstPtr = typename PointCloud::ConstPtr
using | Ptr = shared_ptr< PointCloudColorHandler< PointT > >
using | ConstPtr = shared_ptr< const PointCloudColorHandler< PointT > >

## Public Member Functions

| PointCloudColorHandlerCustom (double r, double g, double b)
| Constructor. More...
| PointCloudColorHandlerCustom (const PointCloudConstPtr &cloud, double r, double g, double b)
| Constructor. More...
virtual | ~PointCloudColorHandlerCustom ()
| Destructor. More...
virtual std::string | getName () const
| Abstract getName method. More...
virtual std::string | getFieldName () const
| Get the name of the field used. More...
vtkSmartPointer< vtkDataArray > | getColor () const override
| Obtain the actual color for the input dataset as a VTK data array. More...
Public Member Functions inherited from pcl::visualization::PointCloudColorHandler< PointT >
| PointCloudColorHandler ()
| Constructor. More...
| PointCloudColorHandler (const PointCloudConstPtr &cloud)
| Constructor. More...
virtual | ~PointCloudColorHandler ()
| Destructor. More...
bool | isCapable () const
| Check if this handler is capable of handling the input data or not. More...
virtual bool | getColor (vtkSmartPointer< vtkDataArray > &scalars) const
| Obtain the actual color for the input dataset as a VTK data array. More...
virtual void | setInputCloud (const PointCloudConstPtr &cloud)
| Set the input cloud to be used. More...

## Protected Attributes

double | r_
| Internal R, G, B holding the values given by the user. More...
double | g_
double | b_
Protected Attributes inherited from pcl::visualization::PointCloudColorHandler< PointT >
PointCloudConstPtr | cloud_
| A pointer to the input dataset. More...
bool | capable_
| True if this handler is capable of handling the input data, false otherwise. More...
int | field_idx_
| The index of the field holding the data that represents the color. More...
std::vector< pcl::PCLPointField > | fields_
| The list of fields available for this PointCloud. More...

## Detailed Description

### template<typename PointT>
class pcl::visualization::PointCloudColorHandlerCustom< PointT >

Handler for predefined user colors.

The color at each point will be drawn as the use given R, G, B values.

Author
  Radu B. Rusu

Definition at line 204 of file point_cloud_color_handlers.h.

## Member Typedef Documentation

## ConstPtr

template<typename PointT>

using pcl::visualization::PointCloudColorHandlerCustom< PointT >::ConstPtr = shared_ptr<const PointCloudColorHandlerCustom<PointT> >

Definition at line 212 of file point_cloud_color_handlers.h.

## Ptr

template<typename PointT>

using pcl::visualization::PointCloudColorHandlerCustom< PointT >::Ptr = shared_ptr<PointCloudColorHandlerCustom<PointT> >

Definition at line 211 of file point_cloud_color_handlers.h.

## Constructor & Destructor Documentation

## PointCloudColorHandlerCustom() [1/2]

template<typename PointT>

pcl::visualization::PointCloudColorHandlerCustom< PointT >::PointCloudColorHandlerCustom | ( | double | r,
|  | double | g,
|  | double | b
| ) |  |

inline

Constructor.

Definition at line 215 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_.

## PointCloudColorHandlerCustom() [2/2]

template<typename PointT>

pcl::visualization::PointCloudColorHandlerCustom< PointT >::PointCloudColorHandlerCustom | ( | const PointCloudConstPtr & | cloud,
|  | double | r,
|  | double | g,
|  | double | b
| ) |  |

inline

Constructor.

Definition at line 225 of file point_cloud_color_handlers.h.

References pcl::visualization::PointCloudColorHandler< PointT >::capable_.

## ~PointCloudColorHandlerCustom()

template<typename PointT>

virtual pcl::visualization::PointCloudColorHandlerCustom< PointT >::~PointCloudColorHandlerCustom | ( |  | ) |

inline virtual

Destructor.

Definition at line 236 of file point_cloud_color_handlers.h.

## Member Function Documentation

## getColor()

template<typename PointT >

vtkSmartPointer< vtkDataArray > pcl::visualization::PointCloudColorHandlerCustom< PointT >::getColor | ( |  | ) | const

override virtual

Obtain the actual color for the input dataset as a VTK data array.

Deriving handlers should override this method. The default implementation is provided only for backwards compatibility with handlers that were written before PCL 1.10.0 and will be removed in future.

Returns
  smart pointer to VTK array if the operation was successful (the handler is capable and the input cloud was given), a null pointer otherwise

Reimplemented from pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 49 of file point_cloud_color_handlers.hpp.

## getFieldName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerCustom< PointT >::getFieldName | ( |  | ) | const

inline virtual

Get the name of the field used.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 244 of file point_cloud_color_handlers.h.

## getName()

template<typename PointT>

virtual std::string pcl::visualization::PointCloudColorHandlerCustom< PointT >::getName | ( |  | ) | const

inline virtual

Abstract getName method.

Implements pcl::visualization::PointCloudColorHandler< PointT >.

Definition at line 240 of file point_cloud_color_handlers.h.

## Member Data Documentation

## b_

template<typename PointT>

double pcl::visualization::PointCloudColorHandlerCustom< PointT >::b_

protected

Definition at line 257 of file point_cloud_color_handlers.h.

## g_

template<typename PointT>

double pcl::visualization::PointCloudColorHandlerCustom< PointT >::g_

protected

Definition at line 257 of file point_cloud_color_handlers.h.

## r_

template<typename PointT>

double pcl::visualization::PointCloudColorHandlerCustom< PointT >::r_

protected

Internal R, G, B holding the values given by the user.

Definition at line 257 of file point_cloud_color_handlers.h.

The documentation for this class was generated from the following files:

- pcl/visualization/point_cloud_color_handlers.h
- pcl/visualization/impl/point_cloud_color_handlers.hpp